전자정부 표준 프레임워크 eGovFrame 3.10 업데이트 오류 수정하기

프로그래밍/개발도구, 프로그램 2021. 7. 17. 23:44
반응형

오랜만에 전자정부표준프레임워크 사이트에 들어가보니 새 버전이 나왔길래 다운로드 받아서 설치해보았습니다.

새버전은 eGovFrame 3.10.0으로 2021년 3월 2일 등록되었네요. eclipse 2020-06(4.16.0)이 적용되었고, Spring 4.3.25 버전이 적용되어 있습니다.

설치하고 바로 업데이트를 실행해 보았는데, 오류가 발생했습니다.

업데이트 오류

 

 Some sites could not be found. See the error log for more detail.
 No repository found at http://dl.bintray.com/pmd/pmd-eclipse-plugin/updates/4.16/.
 No repository fount at http://dl.bintray.com/harawata/eclipse/.


업데이트 사이트 두군데를 찾지 못한다는 내용입니다. 구글에 검색을 해보니 전자전부표준프레임워크 사이트에 이미 누군가가 질문을 해서 답을 올려둔 것은 찾았습니다.

https://www.egovframe.go.kr/home/qainfo/qainfoRead.do?pagerOffset=10&searchKey=&searchValue=&menuNo=69&qaId=QA_00000000000020374

역시 내용은 두 곳의 업데이트 사이트 URL이 변경되었다는 것입니다. 변경 내용은 다음과 같습니다.

 

 my batipse 주소 변경

 http://dl.bintray.com/harawata/eclipse ->


 https://harawata.jfrog.io/artifactory/eclipse-local/



 pmd 주소 변경

 http://dl.bintray.com/pmd/pmd-eclipse-plugin/updates/4.16/ ->


 https://pmd.github.io/pmd-eclipse-plugin-p2-site/


이제 eGovFrame 에서 업데이트 사이트를 수정합니다.

1. 메뉴바에서 "Window" -> "preferences" 메뉴를 클릭하여 Preferences창을 엽니다.

Preferences 창


2. 창의 왼쪽 메뉴에서 "Install/Update" -> "Availabel Software Sites" 를 엽니다.

Available Software Sites


3. 필터에 pmd를 입력하여 바꾸려는 사이트를 찾습니다.

pmd 찾기


4. 찾아진 PMD를 선택하고 "Edit" 버튼을 눌러 수정 창을 열어 주소를 수정합니다.

주소 수정


5. 나머지 사이트에 대해서도 앞에서와 같은 방법으로 수정합니다.


6. "Help" -> "Check for Updates" 메뉴를 눌러 업데이트를 합니다.


그런데 수정후에는 에러는 발생하지 않는데 전체 업데이트 항목을 체크하고 업데이트를 실행하면 진행이 되지 않습니다. 그래서 하나만 체크한 후에 업데이트를 하니까 업데이트 진행후 재시작에서 스플래시 스크린만 뜨고 아무리 기다려도 프로그램이 더이상 진행이 되지 않았습니다.

명령창을 열고 eclipse.exe가 있는 폴더에서 다음 명령을 실행합니다.

 

 eclipse.exe -clean -clearPersistedState


실행후 eclipse를 다시 시작하니 정상적으로 실행되었습니다(시작되는데 시간이 좀 걸림).

이후부터도 업데이트 항목을 전체 선택하면 업데이트가 진행이 되지 않고, 몇개 항목만 선택하면 업데이트가 진행되었습니다.

보통 이런일이 모두에게 동일하게 일어나지 않는 경우가 많은데, 같은 일이 발생한다면 참고 하시기 바랍니다.

반응형

댓글을 달아 주세요